[android-components](../../index.md) / [mozilla.components.concept.storage](../index.md) / [SyncError](./index.md)

# SyncError

`data class SyncError : `[`SyncStatus`](../-sync-status.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/storage/src/main/java/mozilla/components/concept/storage/SyncableStore.kt#L23)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `SyncError(exception: `[`Exception`](https://developer.android.com/reference/java/lang/Exception.html)`)` |

### Properties

| Name | Summary |
|---|---|
| [exception](exception.md) | `val exception: `[`Exception`](https://developer.android.com/reference/java/lang/Exception.html) |
